## visad.data.netcdf.units
Class UnitParser

    java.lang.Object
      visad.data.units.UnitParser
          visad.data.netcdf.units.UnitParser

All Implemented Interfaces:
  UnitParserConstants

Deprecated. Use `visad.data.units.UnitParser` instead

public class UnitParser
extends UnitParser

Nested Class Summary

Nested classes inherited from class visad.data.units.UnitParser
``

Field Summary

Fields inherited from class visad.data.units.UnitParser
`isTime, jj_nt, julianDayOrigin, lookingAhead, second, token, token_source, unitsDB`

Fields inherited from interface visad.data.units.UnitParserConstants
`DATE, DAY, DECIMAL, DEFAULT, DIGIT, DIVIDE, EOF, EXP, FROM, HOUR, INT, INTEGER, LETTER, MINUTE, MONTH, NAME, REAL, SECOND, SHIFT, SIGN, SINCE, TIME, tokenImage, WHITESPACE, YEAR`

Constructor Summary
`UnitParser(InputStream stream)` Deprecated. Use `visad.data.units.UnitParser(stream)` instead

Method Summary
`static double` `encodeTimestamp(int year, int month, int day, int hour, int minute, float second, int zone)` Deprecated. Encode a timestamp as a double value in units of seconds.

Methods inherited from class visad.data.units.UnitParser
`disable_tracing, enable_tracing, generateParseException, getNextToken, getToken, julianDay, main, multiply, nameExpression, numberExpression, numericalTerm, powerExpression, ReInit, ReInit, ReInit, shiftExpression, timestampExpression, timestampTerm, unitProductList, unitSpec, valueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnitParser

    public UnitParser(InputStream stream)

  Deprecated. Use `visad.data.units.UnitParser(stream)` instead

Method Detail

### encodeTimestamp

    public static double encodeTimestamp(int year,
                                         int month,
                                         int day,
                                         int hour,
                                         int minute,
                                         float second,
                                         int zone)

  Deprecated. Use `visad.data.units.UnitParser.encodeTimestamp()` instead

  Description copied from class: `UnitParser`
  Encode a timestamp as a double value in units of seconds.